package com.supervision.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.time.LocalDateTime;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 疾病辅助检查
 * @TableName vp_disease_ancillary
 */
@TableName(value ="vp_disease_ancillary")
@Data
@ApiModel
public class DiseaseAncillary implements Serializable {
    /**
     * 主键
     */
    @TableId
    private String id;

    /**
     * 病历ID
     */
    @ApiModelProperty("病历ID")
    private String medicalRecId;

    /**
     * 工具ID
     */
    @ApiModelProperty("工具ID")
    private String itemId;

    /**
     * 是否必查-初步诊断依据
     */
    @ApiModelProperty("是否必查-初步诊断依据(0否1是)")
    private Integer requireCheck;

    @ApiModelProperty("是否是正式诊断依据(0否1是)")
    private Integer basisConfirm;

    @ApiModelProperty("是否是鉴别依据(0否1是)")
    private Integer basisIdentification;

    /**
     * 结果
     */
    @ApiModelProperty("结果")
    private String result;

    /**
     * 说明
     */
    @ApiModelProperty("说明")
    private String description;

    /**
     * 创建人ID
     */
    private String createUserId;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新人
     */
    private String updateUserId;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;


}